> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves a specific contact detail by its ID.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json get /contact-details/{id}
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /contact-details/{id}:
    get:
      tags:
        - ContactDetail
      summary: Retrieves a specific contact detail by its ID.
      parameters:
        - name: id
          in: path
          description: The unique identifier of the contact detail.
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Successfully retrieved the contact detail.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ContactDetail'
            application/json:
              schema:
                $ref: '#/components/schemas/ContactDetail'
            text/json:
              schema:
                $ref: '#/components/schemas/ContactDetail'
        '400':
          description: Error occurred while retrieving the contact detail.
        '404':
          description: Contact detail not found.
components:
  schemas:
    ContactDetail:
      type: object
      properties:
        id:
          type: integer
          format: int32
        portalId:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        contactNumber:
          type: string
          nullable: true
        contactEmail:
          type: string
          nullable: true
        contactBetweenStart:
          type: string
          format: date-span
        contactBetweenEnd:
          type: string
          format: date-span
        priority:
          type: integer
          format: int32
        isActive:
          type: boolean
        createdAt:
          type: string
          format: date-time
        contactWhenFinalOutpost:
          type: boolean
      additionalProperties: false

````